#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x
#
Summary:	Displays dialog boxes from shell scripts
Summary(pl.UTF-8):	Wyświetlanie okien dialogowych z poziomu skryptów powłoki
Name:		mate-dialogs
Version:	1.8.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	c52cba1b3cb8c600e710e129a5118e84
URL:		http://wiki.mate-desktop.org/mate-dialogs
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.18.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rarian-compat
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.18.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	libnotify >= 0.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Displays dialog boxes from shell scripts.

%description -l pl.UTF-8
Wyświetlanie okien dialogowych z poziomu skryptów powłoki.

%prep
%setup -q
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%build

%configure \
	--enable-libnotify \
	--disable-silent-rules \
	%{?with_gtk3:--with-gtk=3.0}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/cmn

# mate-dialogs gettext domain, matedialog mate help and omf files
%find_lang %{name} --with-omf --with-mate --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/matedialog
%{_mandir}/man1/matedialog.1*
%{_datadir}/matedialog
%changelog
* Mon Mar 10 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-dialogs.git;a=log;h=master

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 0a4e3c5
- up to 1.8.0
- run autotools
- mate-doc-utils replaced by yelp-tools
- BR: glib2-devel xorg-lib-libX11-devel

* Mon Dec 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 010136c
- updated to 1.6.2, pl

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> ea1a7ab
- up to 1.5.1, use libnotify, not libmatenotify

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 65e7584
- use package names in deps; more specific url

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 383cd9b
- package lang files with find-lang

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> b114d72
- tar.xz deps

* Fri Dec 21 2012 Elan Ruusamäe <glen@delfi.ee> e104732
- new, version 1.5.0

